Zen API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Friends Macros Modules Pages
Public Member Functions
kTimer Class Reference
kApi/Threads

## Description

Represents an interval timer.

Inheritance diagram for kTimer:

## Public Member Functions
kStatus | kTimer_Construct (kTimer *timer, kAlloc allocator)
| Constructs a timer object. More...
k64u | kTimer_Elapsed (kTimer timer)
| Reports the duration, in microseconds, for which the timer has been running. More...
kBool | kTimer_IsExpired (kTimer timer)
| Reports whether a count-down timer has expired. More...
kBool | kTimer_IsStarted (kTimer timer)
| Reports whether a timer has been started. More...
k64u | kTimer_Now ()
| Provides the current time in microseconds. More...
k64u | kTimer_Remaining (kTimer timer)
| Reports the remaining time, in microseconds, for a countdown timer. More...
kStatus | kTimer_Start (kTimer timer, k64u totalTime)
| Starts the timer. More...
kStatus | kTimer_Stop (kTimer timer)
| Stops the timer. More...
Public Member Functions inherited from kObject
kAlloc | kObject_Alloc (kObject object)
| Gets the memory allocator associated with this object. More...
kStatus | kObject_Clone (kObject *object, kObject source, kAlloc allocator)
| Constructs a new object by copying an existing object, including any aggregated child elements. More...
kStatus | kObject_Destroy (kObject object)
| Destroys the object. More...
kStatus | kObject_Dispose (kObject object)
| Destroys the object and any aggregated child elements. More...
kBool | kObject_Equals (kObject object, kObject other)
| Determines whether the object is equal to another object. More...
kSize | kObject_HashCode (kObject object)
| Gets a hash code representing the state of this object. More...
kBool | kObject_Is (kObject object, kType type)
| Determines whether this object is an instance of the specified type. More...
kBool | kObject_IsShared (kObject object)
| Reports whether the object is currently shared (reference count greater than one). More...
kStatus | kObject_SetPool (kObject object, kObjectPool pool)
| Sets the object pool associated with this object. More...
kStatus | kObject_Share (kObject object)
| Increments the reference count associated with this object. More...
kSize | kObject_Size (kObject object)
| Estimates the memory consumed by this object, including any aggregated child elements. More...
kType | kObject_Type (kObject object)
| Returns the type of the object. More...

## Additional Inherited Members
Related inherited from kObject
#define | kObject_Type_(OBJ) kxObject_Type_(OBJ)
| Macro version of kObject_Type.
#define | kObject_Is_(OBJ, TYPE) kxObject_Is_(OBJ, TYPE)
| Macro version of kObject_Is.
#define | kObject_Alloc_(OBJ) kxObject_Allocator_(OBJ)
| Macro version of kObject_Alloc.

The documentation for this class was generated from the following file:

- Threads/kTimer.h